menu
#4656833 Declaration of yexeed\ps\protocol\CustomContainerClosedPacket::patch($oldPacket): yexeed\ps\protocol\CustomContainerClosedPacket must be compatible with yexeed\ps\protocol\CustomPacket::patch($oldPacket): yexeed\ps\protocol\CustomPacket

Submitted by PocketMine-MP 3.15.4

General information

Version: 3.15.4
Git commit: e8b6b563
Plugin involvement: Direct
Report date: 2020-11-21 23:32:37 +0000 UTC

System Information

PHP version: 7.3.7
Operating system: linux
System banner: Linux DESKTOP-9765SF7 4.4.0-18362-Microsoft #1049-Microsoft Thu Aug 14 12:01:00 PST 2020 x86_64

Error information

Warning: a plugin was directly involved in this crash. Please contact the plugin author.
Message: Declaration of yexeed\ps\protocol\CustomContainerClosedPacket::patch($oldPacket): yexeed\ps\protocol\CustomContainerClosedPacket must be compatible with yexeed\ps\protocol\CustomPacket::patch($oldPacket): yexeed\ps\protocol\CustomPacket
File: plugins/ProtocolSupport/src/yexeed/ps/protocol/CustomContainerClosedPacket
Line: #9
Error level: E_COMPILE_ERROR
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
<?php


namespace yexeed\ps\protocol;


use pocketmine\network\mcpe\protocol\ContainerClosePacket;

class CustomContainerClosedPacket extends ContainerClosePacket implements CustomPacket
{
public $serverInitiated = false;

public function decodeFor(int $protocol): void
{
if($protocol >= 419){
$this->offset = 0;
$this->decodeHeader();
$this->windowId = (\ord($this->get(1)));
$this->serverInitiated = $this->getBool();

Loaded Plugins

  • Show

Server Settings

  • Show